from django.contrib import admin
from django.urls import path
from baseapp import views_system as view_sys

urlpatterns = [    
    path('db/modelsdownload',view_sys.get_db_models,name='db_modelsdownload'), # testing report generation
    path('genscript/model/<str:appname>',view_sys.get_genScript,name='gen_script_model'), # testing report generation
    path('genscript/main/',view_sys.get_genScript_main,name='gen_script_main'), # testing report generation
    
    path('initial/update',view_sys.update_inital_view2,name='initial_update'),
    path('html/backup',view_sys.html_backup,name='html_backup'),
    path('html/update',view_sys.html_update,name='html_update'),
    path('useridcreation',view_sys.create_users_test,name='user_creation'),
    path('db/exportall',view_sys.export_all_models,name='db_exportall'),
    ]


